
INSERT INTO formapagament (id, descripcio) VALUES  (seq_formapagament.nextval, 'Transferència');
INSERT INTO formapagament (id, descripcio) VALUES  (seq_formapagament.nextval, 'Targeta');

INSERT INTO estatdespesa (id, descripcio) VALUES (seq_estatdespesa.nextval, 'Pendent d''aprovació');
INSERT INTO estatdespesa (id, descripcio) VALUES (seq_estatdespesa.nextval, 'Aprovada');
INSERT INTO estatdespesa (id, descripcio) VALUES (seq_estatdespesa.nextval, 'Pendent d''abonament');
INSERT INTO estatdespesa (id, descripcio) VALUES (seq_estatdespesa.nextval, 'Abonada');

INSERT INTO tipusdespesa(origen, codi, descripcio) values (2,seq_TipusDepesa.nextval, 'Sou del parlamentari');
INSERT INTO tipusdespesa(origen, codi, descripcio) values (2,seq_TipusDepesa.nextval, 'Dinars fora del parlament');
INSERT INTO tipusdespesa(origen, codi, descripcio) values (2,seq_TipusDepesa.nextval, 'Dispositius de comunicació: mòbils i tablets');
INSERT INTO tipusdespesa(origen, codi, descripcio) values (2,seq_TipusDepesa.nextval, 'Dispositius de computació: PCs i portàtils');
INSERT INTO tipusdespesa(origen, codi, descripcio) values (2,seq_TipusDepesa.nextval, 'Transport públic: taxis, avions, etc');
INSERT INTO tipusdespesa(origen, codi, descripcio) values (2,seq_TipusDepesa.nextval, 'Dieta per pertanyer a una comissió parlamentaria');
INSERT INTO tipusdespesa(origen, codi, descripcio) values (2,seq_TipusDepesa.nextval, 'Contractació d''escorta/es i xofers associats a un parlamentari concret');
INSERT INTO tipusdespesa(origen, codi, descripcio) values (2,seq_TipusDepesa.nextval, 'Lloger de cotxe oficial per a ús d''un parlamentari en concret');
INSERT INTO tipusdespesa(origen, codi, descripcio) values (2,seq_TipusDepesa.nextval, 'Altres');


INSERT INTO tipusdespesa(origen, codi, descripcio) values (1,seq_TipusDepesa.nextval, 'Contractació d''escorta/es i xofers per a ús general sense assignació fixa a un parlamentari');
INSERT INTO tipusdespesa(origen, codi, descripcio) values (1,seq_TipusDepesa.nextval, 'Lloguer de cotxes oficials per a ús general sense assignació fixa a un parlamentari');
INSERT INTO tipusdespesa(origen, codi, descripcio) values (1,seq_TipusDepesa.nextval, 'Seguretat general');
INSERT INTO tipusdespesa(origen, codi, descripcio) values (1,seq_TipusDepesa.nextval, 'Material d''oficina general');
INSERT INTO tipusdespesa(origen, codi, descripcio) values (1,seq_TipusDepesa.nextval, 'Altres');

-- ISO 3166-1 
INSERT INTO PAIS(codi, nom) VALUES ('AT','AUSTRIA');
INSERT INTO PAIS(codi, nom) VALUES ('BE','BELGIUM');
INSERT INTO PAIS(codi, nom) VALUES ('BG','BULGARIA');
INSERT INTO PAIS(codi, nom) VALUES ('HR','CROATIA');
INSERT INTO PAIS(codi, nom) VALUES ('CY','CYPRUS');
INSERT INTO PAIS(codi, nom) VALUES ('CZ','CZECH REPUBLIC');
INSERT INTO PAIS(codi, nom) VALUES ('DK','DENMARK');
INSERT INTO PAIS(codi, nom) VALUES ('EE','ESTONIA');
INSERT INTO PAIS(codi, nom) VALUES ('FI','FINLAND');
INSERT INTO PAIS(codi, nom) VALUES ('FR','FRANCE');
INSERT INTO PAIS(codi, nom) VALUES ('DE','GERMANY');
INSERT INTO PAIS(codi, nom) VALUES ('GR','GREECE');
INSERT INTO PAIS(codi, nom) VALUES ('HU','HUNGARY');
INSERT INTO PAIS(codi, nom) VALUES ('IE','IRELAND');
INSERT INTO PAIS(codi, nom) VALUES ('IT','ITALY');
INSERT INTO PAIS(codi, nom) VALUES ('LV','LATVIA');
INSERT INTO PAIS(codi, nom) VALUES ('LT','LITHUANIA');
INSERT INTO PAIS(codi, nom) VALUES ('LU','LUXEMBOURG');
INSERT INTO PAIS(codi, nom) VALUES ('MT','MALTA');
INSERT INTO PAIS(codi, nom) VALUES ('NL','NETHERLANDS');
INSERT INTO PAIS(codi, nom) VALUES ('PL','POLAND');
INSERT INTO PAIS(codi, nom) VALUES ('PT','PORTUGAL');
INSERT INTO PAIS(codi, nom) VALUES ('RO','ROMANIA');
INSERT INTO PAIS(codi, nom) VALUES ('SK','SLOVAKIA');
INSERT INTO PAIS(codi, nom) VALUES ('SI','SLOVENIA');
INSERT INTO PAIS(codi, nom) VALUES ('ES','SPAIN');
INSERT INTO PAIS(codi, nom) VALUES ('SE','SWEDEN');
INSERT INTO PAIS(codi, nom) VALUES ('GB','UNITED KINGDOM');

INSERT INTO Regio (pais, codi, nom) VALUES ('ES','IB', 'Illes Balears');
INSERT INTO Regio (pais, codi, nom) VALUES ('ES','CA', 'Catalunya');
INSERT INTO Regio (pais, codi, nom) VALUES ('ES','PB', 'País Basc');
INSERT INTO Regio (pais, codi, nom) VALUES ('ES','EX', 'Extremedura');

COMMIT;
