DECLARE
   RSP         VARCHAR2(500);
   esperat     VARCHAR2(500);
   sentencia   VARCHAR2(500);
   
   PROCEDURE avaluar
   IS
   BEGIN
      IF NVL(esperat,'X') = NVL(RSP,'Y')
      THEN
         DBMS_OUTPUT.put_line ('OK'|| '|' ||esperat ||'|' || RSP || '|'|| replace(sentencia,chr(10),' '));
      ELSE
         DBMS_OUTPUT.put_line ( 'ERROR'|| '|' || esperat ||'|' || RSP || '|'|| replace(sentencia,chr(10),' '));
      END IF;
      RSP := NULL;
      sentencia := NULL;
      esperat := NULL;
   END avaluar;
   PROCEDURE executar
   IS
   BEGIN
      EXECUTE IMMEDIATE sentencia USING OUT rsp ;
      avaluar;
   END;
BEGIN
   DBMS_OUTPUT.PUT_LINE ('ESTAT|RESPOSTA|ESPERAT|SENTENCIA');
-- Alta Partit   
   sentencia := 'BEGIN PK_ABM.alta_partit(p_document => ''11111111A'',p_nom=>''Partit1'',p_usuari=>user,rsp=>:1); END;';
   esperat := 'OK';
   executar;

   sentencia := 'BEGIN PK_ABM.alta_partit(p_document  => ''11111111A'', p_nom => NULL, p_usuari => user, rsp => :1); END;';
   esperat := PK_ERRORS.ERR_PARAMS_NULL;
   executar;

   sentencia := 'BEGIN PK_ABM.alta_partit(p_document => NULL, p_nom => ''Partit1'', p_usuari => user, rsp => :1); END;';
   esperat := PK_ERRORS.ERR_PARAMS_NULL;
   executar;

   sentencia := 'BEGIN PK_ABM.alta_partit(p_document => NULL, p_nom => NULL, p_usuari => user, rsp => :1); END;';
   esperat := PK_ERRORS.ERR_PARAMS_NULL;
   executar;
   
   sentencia := 'BEGIN PK_ABM.alta_partit(p_document => ''11111111A'', p_nom => ''Partit1'', p_usuari => NULL, rsp => :1); END;';
   esperat := PK_ERRORS.ERR_USER;
   executar;
   
   sentencia := 'BEGIN PK_ABM.alta_partit(p_document => ''11111111A'', p_nom => ''Partit1'', p_usuari => user, rsp => :1); END;';
   esperat := PK_ERRORS.ERR_DUP_PARTIT;
   executar;
   
   sentencia := 'BEGIN PK_ABM.alta_partit(p_document => ''11111111B'', p_nom =>  ''Partit2'', p_usuari => user, rsp => :1); END;';
   esperat := 'OK';
   executar;
   
   sentencia := 'BEGIN PK_ABM.alta_partit(p_document => ''88888888M'', p_nom =>  ''Partit3'', p_usuari => user, rsp => :1); END;';
   esperat := 'OK';
   executar;
   
-- Modificar Partit   
   sentencia := 'BEGIN PK_ABM.modif_partit(p_id => 1, p_document => ''11111111B'', p_nom => ''Partit2'', p_usuari => user, rsp => :1); END;';
   esperat := PK_ERRORS.ERR_DUP_PARTIT;
   executar;
   
   sentencia := 'BEGIN PK_ABM.modif_partit(p_id => 2, p_document => ''11111111A'', p_nom => ''Partit 1'', p_usuari => user, rsp => :1); END;';
   esperat := PK_ERRORS.ERR_DUP_PARTIT;
   executar;
   
   sentencia := 'BEGIN PK_ABM.modif_partit(p_id => 2, p_document => NULL, p_nom => ''Partit 1'',p_usuari=> user,rsp=>:1); END;';
   esperat := PK_ERRORS.ERR_PARAMS_NULL;
   executar;
   
   sentencia := 'BEGIN PK_ABM.modif_partit(p_id=> 2, p_document=>''11111111B'',p_nom=>''Partit 1'',p_usuari=>NULL,rsp=>:1); END;';
   esperat := PK_ERRORS.ERR_USER;
   executar;
   
   sentencia := 'BEGIN PK_ABM.modif_partit(p_id=>2,p_document=>''11111111B'',p_nom=>''Partit 1'',p_usuari=>user,rsp=>:1); END;';
   esperat := 'OK';
   executar;
   
   sentencia := 'BEGIN PK_ABM.modif_partit(p_id=>2,p_document=>''11111111B'',p_nom=>''Partit num. 2'',p_usuari=>user,rsp=>:1); END;';
   esperat := 'OK';
   executar;   
   
-- Baixa Partit

   sentencia := 'BEGIN PK_ABM.baixa_partit(p_id=>2,p_usuari=>NULL,rsp=>:1); END;';
   esperat := PK_ERRORS.ERR_USER;
   executar;
   
   sentencia := 'BEGIN PK_ABM.baixa_partit(p_id=>2,p_usuari=>USER,rsp=>:1); END;';
   esperat := 'OK';
   executar;
   
   sentencia := 'BEGIN PK_ABM.baixa_partit(p_id=> 2,p_usuari=>USER,rsp=>:1); END;';
   esperat := PK_ERRORS.ERR_BAIXA_PARTIT;
   executar;
   
-- Alta Parlament
   sentencia := 'BEGIN PK_ABM.alta_parlament(p_document => ''A'', p_nom => ''Parlament IB'', p_pais => ''XX'',	p_regio=> NULL, p_direccio => ''direccio A'',		p_telefon => ''971971971'', p_web => NULL, p_usuari => USER, RSP => :1); END;';
   esperat := PK_ERRORS.ERR_PAIS;
   executar;

   sentencia := 'BEGIN PK_ABM.alta_parlament(p_document => ''A'', p_nom => ''Parlament IB'', p_pais => ''ES'',	p_regio => NULL, p_direccio => NULL,		p_telefon => ''971971971'', p_web => NULL, p_usuari => USER, RSP => :1); END;';
   esperat := PK_ERRORS.ERR_PARAMS_NULL;
   executar;

   sentencia := 'BEGIN PK_ABM.alta_parlament(p_document => ''A'', p_nom => ''Parlament IB'', p_pais => ''ES'',	p_regio => NULL, p_direccio => ''direccio A'' ,		p_telefon => ''971971971'', p_web => NULL, p_usuari => NULL, RSP => :1); END;';
   esperat := PK_ERRORS.ERR_USER;
   executar;
   
   sentencia := 'BEGIN PK_ABM.alta_parlament(p_document => ''A'', p_nom => ''Parlament IB'', p_pais => ''ES'',	p_regio => ''XX'', p_direccio => ''direccio A'' ,		p_telefon => ''971971971'', p_web => NULL, p_usuari => USER, RSP => :1); END;';
   esperat := PK_ERRORS.ERR_REGIO;
   executar;
   
   sentencia := 'BEGIN PK_ABM.alta_parlament(p_document => ''A'', p_nom => ''Parlament IB'', p_pais => ''ES'',	p_REGIO => ''IB'', p_direccio => ''direccio A'' ,		p_telefon => ''971971971'', p_web => NULL, p_usuari => USER, RSP => :1); END;';
   esperat := 'OK';
   executar;

   sentencia := 'BEGIN PK_ABM.alta_parlament(p_document => ''B'', p_nom => ''Parlament CA'', p_pais => ''ES'',	p_REGIO => ''IB'', p_direccio => ''direccio A'' ,		p_telefon => ''971971971'', p_web => NULL, p_usuari => USER, RSP => :1); END;';
   esperat := PK_ERRORS.ERR_PAISREGIO_PARLAMENT;
   executar;

   sentencia := 'BEGIN PK_ABM.alta_parlament(p_document => ''A'', p_nom => ''Parlament CA'', p_pais => ''ES'',	p_regio=>''CA'', p_direccio => ''direccio A'' ,		p_telefon => ''971971971'', p_web => NULL, p_usuari => USER, RSP => :1); END;';
   esperat := PK_ERRORS.ERR_DUP_PARLAMENT;
   executar;   

   sentencia := 'BEGIN PK_ABM.alta_parlament(p_document => ''B'', p_nom => ''Parlament CA'', p_pais => ''ES'',	p_regio => ''CA'', p_direccio => ''direccio B'' ,		p_telefon => ''971971971'', p_web => ''www.parlamentB.com'', p_usuari => USER, RSP => :1); END;';
   esperat := 'OK';
   executar;
   
   sentencia := 'BEGIN PK_ABM.alta_parlament(p_document => ''C'', p_nom => ''Parlament Espanyol'', p_pais => ''ES'',	p_regio => NULL, p_direccio => ''direccio B'' ,		p_telefon => ''971971971'', p_web => ''www.parlamentB.com'', p_usuari => USER, RSP => :1); END;';
   esperat := 'OK';
   executar;   
   
-- Modif Parlament
   sentencia := 'BEGIN PK_ABM.modif_parlament(p_id => 1, p_document => ''A'', p_nom => ''Parlament A'', p_pais => ''DE'',	p_regio => ''IB'', p_direccio => ''direccio A'' ,		p_telefon => ''971971971'', p_web => ''www.parlamentA.com'', p_usuari => USER, RSP => :1); END;';
   esperat := PK_ERRORS.ERR_REGIO;
   executar;
     
   
   sentencia := 'BEGIN PK_ABM.modif_parlament(p_id => 1, p_document => ''A'', p_nom => ''Parlament A'', p_pais => ''ES'',	p_regio => ''IB'', p_direccio => ''direccio A'' ,		p_telefon => ''971971971'', p_web => ''www.parlamentA.com'', p_usuari => USER, RSP => :1); END;';
   esperat := 'OK';
   executar;
   
-- Baixa Parlament   

   sentencia := 'BEGIN PK_ABM.baixa_parlament(p_id => 2, p_usuari => USER, RSP => :1); END;';
   esperat := 'OK';
   executar;   
   
   sentencia := 'BEGIN PK_ABM.baixa_parlament(p_id => 2, p_usuari => USER, RSP => :1); END;';
   esperat := PK_ERRORS.ERR_BAIXA_PARLAMENT;
   executar;  
   
-- Alta parlamentari
   sentencia := 'BEGIN PK_ABM.alta_parlamentari (p_document	=> ''C'', p_parlament => 1,	p_partit => 1,	p_nom => ''Parlamentari C'', 
               p_cognoms => ''Cognoms C'', 	p_numIdentificacio => ''IDENT C'', p_numTargeta	=> NULL,
               p_usuari	=> USER,	RSP => :1); END;';
   esperat := 'OK';
   executar;
   
   sentencia := 'BEGIN PK_ABM.alta_parlamentari (p_document	=> ''C'', p_parlament => 1,	p_partit => 1,	p_nom => ''Parlamentari C'', 
               p_cognoms => ''Cognoms C'', 	p_numIdentificacio => ''IDENT C'', p_numTargeta	=> NULL,
               p_usuari	=> USER,	RSP => :1); END;';
   esperat := PK_ERRORS.ERR_DUP_PARL;
   executar;
   
   sentencia := 'BEGIN PK_ABM.alta_parlamentari (p_document	=> ''X'', p_parlament => 1,	p_partit => 1,	p_nom => ''Parlamentari C'', 
               p_cognoms => ''Cognoms C'', 	p_numIdentificacio => ''IDENT C'', p_numTargeta	=> NULL,
               p_usuari	=> USER,	RSP => :1); END;';
   esperat := PK_ERRORS.ERR_DUP_IDENTPARL;
   executar;
   
   sentencia := 'BEGIN PK_ABM.alta_parlamentari (p_document	=> ''X'', p_parlament => 2,	p_partit => 1,	p_nom => ''Parlamentari C'', 
               p_cognoms => ''Cognoms C'', 	p_numIdentificacio => ''IDENT X'', p_numTargeta	=> NULL,
               p_usuari	=> USER,	RSP => :1); END;';
   esperat := PK_ERRORS.ERR_BAIXA_PARLAMENT;
   executar;
   
   sentencia := 'BEGIN PK_ABM.alta_parlamentari (p_document	=> ''X'', p_parlament => 1,	p_partit => 1,	p_nom => ''Parlamentari X'', 
               p_cognoms => ''Cognoms X'', 	p_numIdentificacio => ''IDENT X'', p_numTargeta	=> ''0487111122223333'',
               p_usuari	=> USER,	RSP => :1); END;';
   esperat := 'OK';
   executar;
   
   sentencia := 'BEGIN PK_ABM.alta_parlamentari (p_document	=> ''Z'', p_parlament => 1,	p_partit => 1,	p_nom => ''Parlamentari z'', 
               p_cognoms => ''Cognoms Z'', 	p_numIdentificacio => ''IDENT Z'', p_numTargeta	=> NULL,
               p_usuari	=> USER,	RSP => :1); END;';
   esperat := 'OK';
   executar;
   
   sentencia := 'BEGIN PK_ABM.alta_parlamentari (p_document	=> ''X'', p_parlament => 3,	p_partit => 1,	p_nom => ''Parlamentari C'', 
               p_cognoms => ''Cognoms C'', 	p_numIdentificacio => ''IDENT X'', p_numTargeta	=> NULL,
               p_usuari	=> USER,	RSP => :1); END;';
   esperat := PK_ERRORS.ERR_DUP_PARL;
   executar;
   
   sentencia := 'BEGIN PK_ABM.alta_parlamentari (p_document	=> ''FF'', p_parlament => 3,	p_partit => 3,	p_nom => ''Parlamentari FF'', 
               p_cognoms => ''Cognoms FF'', 	p_numIdentificacio => ''IDENT FF'', p_numTargeta	=> NULL,
               p_usuari	=> USER,	RSP => :1); END; -- 191';
   esperat := 'OK';
   executar;

-- Modificar parlamentari
   sentencia := 'BEGIN PK_ABM.modif_parlamentari (p_id => 2, p_document	=> ''DOCUMENT X'', p_parlament => 1,	p_partit => 1,	p_nom => ''Parlamentari X'', 
               p_cognoms => ''Cognoms X'', 	p_numIdentificacio => ''IDENT X'', p_numTargeta	=> ''0487111122223333'',
               p_usuari	=> USER,	RSP => :1); END;';
   esperat := 'OK';
   executar;
   
   sentencia := 'BEGIN PK_ABM.modif_parlamentari (p_id => 2, p_document	=> ''DOCUMENT X'', p_parlament => 1,	p_partit => 1,	p_nom => ''Parlamentari X'', 
               p_cognoms => ''Cognoms X'', 	p_numIdentificacio => ''IDENT X'', p_numTargeta	=> NULL,
               p_usuari	=> USER,	RSP => :1); END;';
   esperat := 'OK';
   executar;
   
   sentencia := 'BEGIN PK_ABM.modif_parlamentari (p_id => 1, p_document	=> ''DOCUMENT X'', p_parlament => 1,	p_partit => 1,	p_nom => ''Parlamentari X'', 
               p_cognoms => ''Cognoms X'', 	p_numIdentificacio => ''IDENT X'', p_numTargeta	=> NULL,
               p_usuari	=> USER,	RSP => :1); END;';
   esperat := PK_ERRORS.ERR_DUP_PARL;
   executar;
   
   sentencia := 'BEGIN PK_ABM.modif_parlamentari (p_id => 1, p_document	=> ''DOC C'', p_parlament => 1,	p_partit => 1,	p_nom => ''Parlamentari C'', 
               p_cognoms => NULL, 	p_numIdentificacio => ''IDENT C'', p_numTargeta	=> NULL,
               p_usuari	=> USER,	RSP => :1); END;';
   esperat := PK_ERRORS.ERR_PARAMS_NULL;
   executar;
   
   sentencia := 'BEGIN PK_ABM.modif_parlamentari (p_id => 1, p_document	=> ''DOC C'', p_parlament => 1,	p_partit => 1,	p_nom => ''Parlamentari C'', 
               p_cognoms => ''COGNOMS C'', 	p_numIdentificacio => ''IDENT C'', p_numTargeta	=> NULL,
               p_usuari	=> USER,	RSP => :1); END;';
   esperat := 'OK';
   executar;
   
   sentencia := 'BEGIN PK_ABM.baixa_parlamentari (p_id => 3, p_usuari => USER, RSP => :1); END;';
   esperat := 'OK';
   executar;
   
   sentencia := 'BEGIN PK_ABM.baixa_parlamentari (p_id => 3, p_usuari => USER, RSP => :1); END;';
   esperat := PK_ERRORS.ERR_BAIXA_PARL;
   executar;
   
-- Donar de baixa un parlament amb parlamentaris associats   
   sentencia := 'BEGIN PK_ABM.baixa_parlament(p_id => 1, p_usuari => USER, RSP => :1); END;';
   esperat := PK_ERRORS.ERR_PARLA_PARLAMENT;
   executar; 

-- Dona de baixa un partit amb parlamentaris associats   
   sentencia := 'BEGIN PK_ABM.baixa_partit(p_id => 1, p_usuari => USER, RSP => :1); END;';
   esperat := PK_ERRORS.ERR_PARLA_PARTIT;
   executar; 
   
-- Alta despesa Parlament
   sentencia := 'BEGIN pk_abm.alta_despesa_parlament(
		p_codidespesa  => 11,
		p_parlament    => 1,
		p_data        => TRUNC(SYSDATE),
		p_ibrut        => 1500,
		p_iva          => 8,
		p_descripcio   => ''Descripcio despesa'',
		p_justificacio => ''Justificacio despesa'',
		p_urldocument  => ''URL doc despesa'',
		p_formapagament => 1,
		p_estatdespesa => 0,
      p_iban         => NULL,
      p_numtargeta   => NULL,
		p_usuari		   => USER,
		RSP            => :1); END;';
   esperat := PK_ERRORS.ERR_ESTAT_DESPESA;
   executar;
   
   sentencia := 'BEGIN pk_abm.alta_despesa_parlament(
		p_codidespesa  => 11,
		p_parlament    => 1,
		p_data        => TRUNC(SYSDATE),
		p_ibrut        => 1500,
		p_iva          => 8,
		p_descripcio   => ''Descripcio despesa'',
		p_justificacio => ''Justificacio despesa'',
		p_urldocument  => ''URL doc despesa'',
		p_formapagament => 0,
		p_estatdespesa => 1,
      p_iban         => NULL,
      p_numtargeta   => NULL,
		p_usuari		   => USER,
		RSP            => :1); END;';
   esperat := PK_ERRORS.ERR_FORMA_PAGAMENT;
   executar;   
   
   sentencia := 'BEGIN pk_abm.alta_despesa_parlament(
		p_codidespesa  => 11,
		p_parlament    => 1,
		p_data         => TRUNC(SYSDATE),
		p_ibrut        => 1500,
		p_iva          => 8,
		p_descripcio   => NULL,
		p_justificacio => ''Justificacio despesa'',
		p_urldocument  => ''URL doc despesa'',
		p_formapagament => 1,
		p_estatdespesa => 1,
      p_iban         => NULL,
      p_numtargeta   => NULL,
		p_usuari		   => USER,
		RSP            => :1); END;';
   esperat := PK_ERRORS.ERR_PARAMS_NULL;
   executar;
   
   sentencia := 'BEGIN pk_abm.alta_despesa_parlament(
		p_codidespesa  => 11,
		p_parlament    => 2,
		p_data         => TRUNC(SYSDATE),
		p_ibrut        => 1500,
		p_iva          => 8,
		p_descripcio   => ''Descripcio despesa'',
		p_justificacio => ''Justificacio despesa'',
		p_urldocument  => ''URL doc despesa'',
		p_formapagament => 1,
		p_estatdespesa => 1,
      p_iban         => NULL,
      p_numtargeta   => NULL,
		p_usuari		   => USER,
		RSP            => :1); END;';
   esperat := PK_ERRORS.ERR_BAIXA_PARLAMENT;
   executar;   
   
   sentencia := 'BEGIN pk_abm.alta_despesa_parlament(
		p_codidespesa  => 11,
		p_parlament    => 1,
		p_data         => TRUNC(SYSDATE),
		p_ibrut        => 1500,
		p_iva          => 8,
		p_descripcio   => ''Descripció despesa'',
		p_justificacio => ''Justificacio despesa'',
		p_urldocument  => ''URL doc despesa'',
		p_formapagament => 1,
		p_estatdespesa => 1,
      p_iban         => NULL,
      p_numtargeta   => NULL,
		p_usuari		   => USER,
		RSP            => :1); END;';
   esperat := PK_ERRORS.ERR_IBAN;
   executar;
   
   sentencia := 'BEGIN pk_abm.alta_despesa_parlament(
		p_codidespesa  => 11,
		p_parlament    => 1,
		p_data         => TRUNC(SYSDATE),
		p_ibrut        => 1500,
		p_iva          => 8,
		p_descripcio   => ''Descripció despesa'',
		p_justificacio => ''Justificacio despesa'',
		p_urldocument  => ''URL doc despesa'',
		p_formapagament => 2,
		p_estatdespesa => 1,
      p_iban         => NULL,
      p_numtargeta   => NULL,
		p_usuari		   => USER,
		RSP            => :1); END;';
   esperat := PK_ERRORS.ERR_CREDITCARD;
   executar;
   
   sentencia := 'BEGIN pk_abm.alta_despesa_parlament(
		p_codidespesa  => 11,
		p_parlament    => 1,
		p_data         => TRUNC(SYSDATE),
		p_ibrut        => -1500,
		p_iva          => 8,
		p_descripcio   => ''Descripció despesa'',
		p_justificacio => ''Justificacio despesa'',
		p_urldocument  => ''URL doc despesa'',
		p_formapagament => 2,
		p_estatdespesa => 1,
      p_iban         => NULL,
      p_numtargeta   => 0487,
		p_usuari		   => USER,
		RSP            => :1); END;';
   esperat := PK_ERRORS.ERR_IBRUT;
   executar;
   
   sentencia := 'BEGIN pk_abm.alta_despesa_parlament(
		p_codidespesa  => 11,
		p_parlament    => 1,
		p_data         => TRUNC(SYSDATE),
		p_ibrut        => 1500,
		p_iva          => -1,
		p_descripcio   => ''Descripció despesa'',
		p_justificacio => ''Justificacio despesa'',
		p_urldocument  => ''URL doc despesa'',
		p_formapagament => 2,
		p_estatdespesa => 1,
      p_iban         => NULL,
      p_numtargeta   => 0487,
		p_usuari		   => USER,
		RSP            => :1); END;';
   esperat := PK_ERRORS.ERR_IVA;
   executar;
   
   sentencia := 'BEGIN pk_abm.alta_despesa_parlament(
		p_codidespesa  => 11,
		p_parlament    => 1,
		p_data         => TRUNC(SYSDATE),
		p_ibrut        => 1500,
		p_iva          => 8,
		p_descripcio   => ''Descripció despesa'',
		p_justificacio => ''Justificacio despesa'',
		p_urldocument  => ''URL doc despesa'',
		p_formapagament => 2,
		p_estatdespesa => 1,
      p_iban         => NULL,
      p_numtargeta   => 0487,
		p_usuari		   => USER,
		RSP            => :1); END;';
   esperat := 'OK';
   executar;

   sentencia := 'BEGIN pk_abm.alta_despesa_parlament(
		p_codidespesa  => 11,
		p_parlament    => 1,
		p_data         => TRUNC(SYSDATE),
		p_ibrut        => 1500,
		p_iva          => 16,
		p_descripcio   => ''Descripció despesa'',
		p_justificacio => ''Justificacio despesa'',
		p_urldocument  => ''URL doc despesa'',
		p_formapagament => 2,
		p_estatdespesa => 1,
      p_iban         => 2051,
      p_numtargeta   => 0487,
		p_usuari		   => USER,
		RSP            => :1); END;';
   esperat := PK_ERRORS.ERR_IBAN_CREDITCARD;
   executar;   
   
   sentencia := 'BEGIN pk_abm.alta_despesa_parlament(
		p_codidespesa  => 11,
		p_parlament    => 1,
		p_data         => TRUNC(SYSDATE),
		p_ibrut        => 1500,
		p_iva          => 16,
		p_descripcio   => ''Descripció despesa'',
		p_justificacio => ''Justificacio despesa'',
		p_urldocument  => ''URL doc despesa'',
		p_formapagament => 1,
		p_estatdespesa => 1,
      p_iban         => 2051,
      p_numtargeta   => NULL,
		p_usuari		   => USER,
		RSP            => :1); END;';
   esperat := 'OK';
   executar;    
   
-- Modificar despesa parlament
   sentencia := 'BEGIN pk_abm.modif_despesa_parlament (
		p_id			   => 1,
		p_codidespesa	=> 1,
		p_data         => TRUNC(SYSDATE),
		p_ibrut        => 1500,
		p_iva          => 8,
		p_descripcio   => ''Descripció despesa'',
		p_justificacio => ''Justificació despesa'',
		p_urldocument  => ''URL document despesa'',
		p_formapagament => 0,
		p_estatdespesa => 1,
      p_iban         => NULL,
      p_numtargeta   => 0487,
		p_usuari		   => USER,
		RSP			   => :1); END; ';
   esperat := PK_ERRORS.ERR_CODI_DESPESA;
   executar;
   
   sentencia := 'BEGIN pk_abm.modif_despesa_parlament (
		p_id			   => 1,
		p_codidespesa	=> 13,
		p_data         => TRUNC(SYSDATE),
		p_ibrut        => 1500,
		p_iva          => 8,
		p_descripcio   => ''Descripció despesa'',
		p_justificacio => ''Justificació despesa'',
		p_urldocument  => ''URL document despesa'',
		p_formapagament => 0,
		p_estatdespesa => 1,
      p_iban         => NULL,
      p_numtargeta   => 0487,
		p_usuari		   => USER,
		RSP			   => :1); END; ';
   esperat := PK_ERRORS.ERR_FORMA_PAGAMENT;
   executar;  

   sentencia := 'BEGIN pk_abm.modif_despesa_parlament (
		p_id			   => 1,
		p_codidespesa	=> 13,
		p_data         => TRUNC(SYSDATE),
		p_ibrut        => NULL,
		p_iva          => 8,
		p_descripcio   => ''Descripció despesa'',
		p_justificacio => ''Justificació despesa'',
		p_urldocument  => ''URL document despesa'',
		p_formapagament => 0,
		p_estatdespesa => 1,
      p_iban         => NULL,
      p_numtargeta   => 0487,
		p_usuari		   => USER,
		RSP			   => :1); END; ';
   esperat := PK_ERRORS.ERR_PARAMS_NULL;
   executar;  

   sentencia := 'BEGIN pk_abm.modif_despesa_parlament (
		p_id			   => 1,
		p_codidespesa	=> 13,
		p_data         => TRUNC(SYSDATE),
		p_ibrut        => 1500,
		p_iva          => 8,
		p_descripcio   => ''Descripció despesa'',
		p_justificacio => ''Justificació despesa'',
		p_urldocument  => ''URL document despesa'',
		p_formapagament => 0,
		p_estatdespesa => 1,
      p_iban         => NULL,
      p_numtargeta   => 0487,
		p_usuari		   => NULL,
		RSP			   => :1); END; ';
   esperat := PK_ERRORS.ERR_USER;
   executar;     
   
   sentencia := 'BEGIN pk_abm.modif_despesa_parlament (
		p_id			   => 1,
		p_codidespesa	=> 13,
		p_data         => TRUNC(SYSDATE),
		p_ibrut        => 1500,
		p_iva          => 8,
		p_descripcio   => ''Descripció despesa'',
		p_justificacio => ''Justificació despesa'',
		p_urldocument  => ''URL document despesa'',
		p_formapagament => 2,
		p_estatdespesa => 1,
      p_iban         => 2051,
      p_numtargeta   => NULL,
		p_usuari		   => USER,
		RSP			   => :1); END; ';
   esperat := PK_ERRORS.ERR_CREDITCARD;
   executar;        
   
   sentencia := 'BEGIN pk_abm.alta_despesa_parlamentari(
		p_codidespesa  => 1,
      p_parlamentari => 1,
		p_data        => TRUNC(SYSDATE),
		p_ibrut        => 2500,
		p_iva          => 21,
		p_descripcio   => ''Descripcio despesa'',
		p_justificacio => ''Justificacio despesa'',
		p_urldocument  => ''URL doc despesa'',
		p_formapagament => 1,
		p_estatdespesa => 1,
      p_iban         => ''IBAN'',
      p_numtargeta   => NULL,
		p_usuari		   => USER,
      p_empresa      => ''EMPRESA'',
		RSP            => :1); END;';
   esperat := 'OK';
   executar;   

   sentencia := 'BEGIN pk_abm.alta_despesa_parlamentari(
		p_codidespesa  => 1,
      p_parlamentari => 1,
		p_data        => TRUNC(SYSDATE),
		p_ibrut        => 2500,
		p_iva          => 21,
		p_descripcio   => ''Descripcio despesa'',
		p_justificacio => ''Justificacio despesa'',
		p_urldocument  => ''URL doc despesa'',
		p_formapagament => 2,
		p_estatdespesa => 2,
      p_iban         => NULL,
      p_numtargeta   => ''CARD'',
		p_usuari		   => USER,
      p_empresa      => ''EMPRESA'',
		RSP            => :1); END;';
   esperat := 'OK';
   executar;   

   sentencia := 'BEGIN pk_abm.alta_despesa_parlamentari(
		p_codidespesa  => 5,
      p_parlamentari => 4,
		p_data        => TRUNC(SYSDATE),
		p_ibrut        => 500,
		p_iva          => 10,
		p_descripcio   => ''Descripcio despesa'',
		p_justificacio => ''Justificacio despesa'',
		p_urldocument  => ''URL doc despesa'',
		p_formapagament => 2,
		p_estatdespesa => 4,
      p_iban         => NULL,
      p_numtargeta   => ''CARD'',
		p_usuari		   => USER,
      p_empresa      => ''EMPRESA'',
		RSP            => :1); END;';
   esperat := 'OK';
   executar;   
   
   sentencia := 'BEGIN pk_abm.alta_despesa_parlamentari(
		p_codidespesa  => 8,
      p_parlamentari => 4,
		p_data        => TRUNC(SYSDATE),
		p_ibrut        => 500,
		p_iva          => 10,
		p_descripcio   => ''Descripcio despesa'',
		p_justificacio => ''Justificacio despesa'',
		p_urldocument  => ''URL doc despesa'',
		p_formapagament => 2,
		p_estatdespesa => 3,
      p_iban         => NULL,
      p_numtargeta   => ''CARD'',
		p_usuari		   => USER,
      p_empresa      => ''EMPRESA'',
		RSP            => :1); END;';
   esperat := 'OK';
   executar;   
END;
/

