/**
* Càlcula els camps INET i ANYO de Despesa.
* <p>Disparador BEFORE INSERT OR UPDATE OF data, ibrut, iva ON despesa
* per actualitzar el camp anyo i calcular l'import net de la despesa.
*/
CREATE OR REPLACE TRIGGER TRG_DESPESA_BEF_IU
BEFORE INSERT OR UPDATE OF data, ibrut, iva ON DESPESA
FOR EACH ROW
BEGIN
   :NEW.anyo := TO_NUMBER(TO_CHAR(:new.data,'YYYY'));
   :NEW.inet := ROUND(:new.ibrut * (1 + :new.iva/100),2);   
END;
/


