/**
* Actualitza el nom del parlament dins les taules d'estadística si
* aquest es modifica.
* <p>Disparador BEFORE UPDATE OF nom ON parlament
* per actualitzar el nom del parlament a les taules ESTMITJAPARLAMENT,
* ESTPARLAMENTANYS i ESTPARLAMENTMESALTA.</p>
*/
CREATE OR REPLACE TRIGGER TRG_PARLAMENT_BEF_U
BEFORE UPDATE OF nom ON Parlament
FOR EACH ROW
BEGIN
   UPDATE estmitjaparlament
      set nom = :new.nom
    where parlament = :new.id;
    
    
   UPDATE estparlamentanys
      set nom = :new.nom
    where parlament = :new.id;
    
   UPDATE estparlamentmesalta
      set nom = :new.nom
    where parlament = :new.id;
  
END;
/
