/**
* Actualitza el nom del parlamentari dins les taules d'estadística si
* aquest es modifica.
* <p>Disparador BEFORE UPDATE OF nom, cognoms ON parlamentari
* per actualitzar el nom del parlamentari a les taules ESTPARLAMENTARIANYS,
* ESTPARLAMENTARISOPOSATS i ESTPARLAMENTPARLAMENTARI.</p>
*/
CREATE OR REPLACE TRIGGER TRG_PARLAMENTARI_BEF_U
BEFORE UPDATE OF nom, cognoms ON Parlamentari
FOR EACH ROW
BEGIN
   UPDATE estparlamentarianys
      SET nom = :new.nom || ' ' || :new.cognoms
    WHERE parlamentari = :new.id;
   
   UPDATE estparlamentarisoposats
      SET nommenys = :new.nom || ' ' || :new.cognoms
    WHERE parlamentarimenys = :new.id;
   
   UPDATE estparlamentarisoposats
      SET nommes = :new.nom || ' ' || :new.cognoms
    WHERE parlamentarimes = :new.id;

   UPDATE EstParlamentParlamentari
      SET nommenys = :new.nom || ' ' || :new.cognoms
    WHERE parlamentarimenys = :new.id;
   
   UPDATE EstParlamentParlamentari
      SET nommes = :new.nom || ' ' || :new.cognoms
    WHERE parlamentarimes = :new.id;    
END;
/
